Bug 26939 - Account payment_type in the cash register details page should use description instead of code.
Summary: Account payment_type in the cash register details page should use description...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Martin Renvoize
QA Contact: Josef Moravec
URL:
Keywords: Academy
Depends on: 26938
Blocks: 13985
  Show dependency treegraph
 
Reported: 2020-11-05 13:58 UTC by Martin Renvoize
Modified: 2020-12-09 20:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26939: Use AV description in sales table display (3.01 KB, patch)
2020-11-05 14:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26939: Use AV description in sales table display (3.06 KB, patch)
2020-11-06 08:54 UTC, David Nind
Details | Diff | Splinter Review
Bug 26939: Use AV description in sales table display (3.12 KB, patch)
2020-11-17 17:58 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 26939: Add missing filters (2.65 KB, patch)
2020-11-18 14:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-11-05 13:58:01 UTC
In the cash register summary page the payment type appears as it's underlying code.. it should appear as the associated description instead.
Comment 1 Martin Renvoize 2020-11-05 14:01:29 UTC
Created attachment 113117 [details] [review]
Bug 26939: Use AV description in sales table display

Content should use the description rather than the code

Test plan
1/ Enable 'UseCashRegisters'
2/ Make some payments against a cash register
3/ Navigate to the cash register summary page via tools > cashup
registers > register name
4/ Note that the payment type you selected at payment time appears as
the code of the authorized value as aposed to the description.
5/ Apply patch
6/ Refresh page
7/ The payment type should now contain the description
Comment 2 David Nind 2020-11-06 08:54:08 UTC
Created attachment 113219 [details] [review]
Bug 26939: Use AV description in sales table display

Content should use the description rather than the code

Test plan
1/ Enable 'UseCashRegisters'
2/ Make some payments against a cash register
3/ Navigate to the cash register summary page via tools > cashup
registers > register name
4/ Note that the payment type you selected at payment time appears as
the code of the authorized value as aposed to the description.
5/ Apply patch
6/ Refresh page
7/ The payment type should now contain the description

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Josef Moravec 2020-11-17 17:58:03 UTC
Created attachment 113752 [details] [review]
Bug 26939: Use AV description in sales table display

Content should use the description rather than the code

Test plan
1/ Enable 'UseCashRegisters'
2/ Make some payments against a cash register
3/ Navigate to the cash register summary page via tools > cashup
registers > register name
4/ Note that the payment type you selected at payment time appears as
the code of the authorized value as aposed to the description.
5/ Apply patch
6/ Refresh page
7/ The payment type should now contain the description

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2020-11-18 11:04:17 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Jonathan Druart 2020-11-18 14:09:34 UTC
Created attachment 113786 [details] [review]
Bug 26939: Add missing filters
Comment 6 Andrew Fuerste-Henry 2020-12-09 20:42:03 UTC
Missing dependencies, not backported to 20.05